import { ComponentInternalInstance } from 'vue';
import { EngineContext } from '../types';
import { PopupOptions, PopupPosition, MapPopup } from './popup';
export declare class CesiumMapPopup extends MapPopup {
    Cesium: any;
    viewer: any;
    worldCoordinates: any;
    preWidth: any;
    preHeight: any;
    sizeValid: boolean;
    constructor(engineContext: EngineContext, position: PopupPosition, options: PopupOptions, parentComponentInstance: ComponentInternalInstance);
    protected addPopup(): void;
    protected removePopup(): void;
    addPostRender(): void;
    postRender(): void;
    checkVisible(cartesian3: any): any;
    calculatePosition(cartesian3: any, element: HTMLElement | null, options: PopupOptions): {
        position: string;
        left: string;
        top: string;
        display?: undefined;
        zIndex?: undefined;
    } | {
        position: string;
        display: string;
        left: string;
        top: string;
        zIndex: number;
    } | {
        position: string;
        left?: undefined;
        top?: undefined;
        display?: undefined;
        zIndex?: undefined;
    };
}
